Apache HTTP Server 2.2.22 x86 and x64 Windows Installers

Apache

Apache HTTP Server 2.2.22 was released recently (January 31, 2012). As usual, this version is a security and bug fix release. A list of security vulnerabilities that were fixed can be found here. The complete official changelog can be found here. And here are the 32 bit and 64 bit binaries for Windows.

The binaries were compiled with Visual C++ 2008 (MSVC9) against latest versions of OpenSSL (1.0.0g) and zlib (1.2.6), and have IPv6 support. The 64 bit binaries no longer have the bug that was causing Apache to crash when mod_rewrite logging was enabled.

The installers are not digitally signed this time since my code signing certificate has expired. So, please use the provided file hashes instead to verify the integrity of the installers.

Download

apache_2.2.22-x64-openssl-1.0.0g.msi (Mirror 1) (Mirror 2)

CRC32: D93E4E06
MD5: 8F0737B288F2A9D68CF591502ECF3CC1
SHA-1: 4DD9DE88FBCCA7E150973E80D2DF09636D0941CA

apache_2.2.22-x64-no-ssl.msi (Mirror 1) (Mirror 2)

CRC32: 73EB826E
MD5: FB58037F6E234F3B712575C9E15532AA
SHA-1: 956B19AD66463847C337BEFA8D79E9E94ECE8ECB

apache_2.2.22-x86-no-ssl.msi (Mirror 1) (Mirror 2)

CRC32: 3BE80E77
MD5: F1699673291707FA0E5D4210E8495F0B
SHA-1: D741DD09285F079F55F92393C1794F4A156DACAA

apache_2.2.22-x86-openssl-1.0.0g.msi (Mirror 1) (Mirror 2)

CRC32: 75710F79
MD5: BCAF67AF7ACF6412CF8DCC20C4F18042
SHA-1: 2CCC3773CB58BFB4CFB3D6D5E6D56DD302D0538B

Related Posts:

You can follow any comments to this entry through the RSS feed. You can leave a comment, or trackback from your own site.

17 Comments

  • Thanks for the quick release 😀

    Your previous Apache release worked for the following code in httpd.conf

    # Server Permissions

    Options Indexes FollowSymLinks
    AllowOverride None
    Order deny,allow
    Deny from All
    Allow from 127.0.0.1

    However this new version doesn’t like the 127.0.0.1 part. (Forbidden 403 Error)

    Do you know of any real reason that this suddenly does not work?

    • It’s because IPv6 is enabled this time. Also add “Allow from ::1” and it should work.

  • @R4to0.exe

    You’re welcome. 😀

    @zmcjs and @Geen

    Yes, I noticed and will be compiling it soon. 🙂

  • I have been compiling Apache and PHP with VC9 because the official PHP builds are also compiled with VC9. Maybe I can compile Apache with VC10 next time. But to compile PHP with VC10, I will also have to compile all the dependent libraries with it. Some of them most likely will not compile successfully with VC10 and currently I do not have the time to try either.

  • Yeah, it’s a pain. Never mind then, we’ll wait for PHP to compile stuff using VC10. Thanks for your help.

  • Has any here been able to get the 64 bit Windows v2.2.22 build (or any build for that matter) working with mod_authnz_ldap? Everything else has worked very well (was even able to download and use 64 bit mod_jk module), but the ldap module hasn’t worked at all. Even worse, I haven’t been getting any errors in the log or any other indication what has been going wrong. The service simply won’t start.

  • Hello

    Is it possible for you to upload binary zipped versions of this release instead of the msi?
    My server won’t allow me to install this version while I have my original version installed and I want to minimize my downtime so I like to just replace the entire folder.

    Please upload (if possible) binary versions like on apachelounge.com “Apache 2.2 win64 binary”.
    I know I could use their upload however I’m going to use your PHP binaries and it’d feel better to use everything from you.

    Thanks for a great job with what you’ve been doing so far, I hope you’ll consider my request!

    Cheers,
    Max

Leave a Reply to Deano